#ifndef LIMITUPSTOCKDECODER_H
#define LIMITUPSTOCKDECODER_H
#include "exceldecoder.h"
#include "db/structs.h"

class LimitUpStockDecoder : public ExcelDecoder
{
public:
    QList<_limitUpStocksInfo> data;
public:
    LimitUpStockDecoder();
    virtual DecoderType decoderType(){ return DecoderType::limit_up;}
    virtual ~LimitUpStockDecoder(){}
    virtual void decode(QList<QList<QVariant> > edatas,QString date = "");

private:
    QString parseStockHead(QList<QVariant> headDatas);//解析头  返回交易日

private:
    QMap<int,QString> m_wholeStocksKeyIndexs;
};

#endif // LIMITUPSTOCKDECODER_H
